import React from 'react';
import { render, screen } from '@testing-library/react';
import Button from '../../components/button';

describe('Button', () => {
  it('renders correctly', () => {
    render(<Button>Test</Button>);
    expect(screen.getByText('Test')).toBeInTheDocument();
  });

  it('renders with the correct variants', () => {
    const { rerender } = render(<Button>Test</Button>);
    expect(screen.getByText('Test')).toHaveClass('bg-button-primary'); // default

    rerender(<Button variant="primary">Test</Button>);
    expect(screen.getByText('Test')).toHaveClass('bg-button-primary');
    expect(screen.getByText('Test')).toHaveClass('text-button-primary-foreground');

    rerender(<Button variant="secondary">Test</Button>);
    expect(screen.getByText('Test')).toHaveClass('bg-button-secondary');
    expect(screen.getByText('Test')).toHaveClass('text-button-secondary-foreground');
  });
});
