import React from 'react';

/**
 * tailwind
 * 'bg-button-primary border-button-primary-stroke text-button-primary-foreground hover:bg-button-primary-hover hover:text-button-primary-foreground-hover hover:border-button-primary-stroke-hover'
 * 'bg-button-secondary border-button-secondary-stroke text-button-secondary-foreground hover:bg-button-secondary-hover hover:text-button-secondary-foreground-hover hover:border-button-secondary-stroke-hover'
*/

const Button = ({
  children,
  className = '',
  variant = 'primary',
  ...rest
}) => (
  <span className="not-prose">
    <a
      className={`transition-colors font-bold whitespace-nowrap bg-button-${variant} border-2 border-button-${variant}-stroke hover:border-button-${variant}-stroke-hover hover:bg-button-${variant}-hover text-button-${variant}-foreground hover:text-button-${variant}-foreground-hover py-2 px-4 rounded-button ${className}`}
      {...rest}
    >
      {children}
    </a>
  </span>
);

export default Button;
