import React from 'react';

const Card = ({
  children,
  className = '',
  variant = 'default' /* default | gradient */,
  hoverable = false,
  shadow = false,
  bgImage = null,
  imageClasses = 'object-cover right-0 bottom-0 h-full w-auto m-0'
}) => {
  let base = 'z-0 transition-all rounded-surface px-8 py-6 relative';

  if (shadow) {
    base += ' shadow-card';
  }

  if (hoverable) {
    base += ' hover:shadow-large';
  }

  const classes = {
    default: `bg-panel ${base}`,
    highlighted: `text-inverted prose-headings:text-inverted prose-a:text-inverted bg-gradient-to-r from-gradient2-from to-gradient2-to ${base}`,
    gradient: `text-inverted prose-headings:text-inverted prose-a:text-inverted bg-gradient-to-r from-gradient1-from to-gradient1-to ${base}`
  };

  return (
    <div className={`${classes[variant]} ${className}`}>
      {bgImage && <img src={bgImage} alt="" className={`absolute -z-10 opacity-50 ${imageClasses}`} />}
      {children}
    </div>
  );
};

export default Card;
