import React from 'react'
import { StaticImage } from "gatsby-plugin-image"

const Hero = () => (
  <div className="not-prose grid max-w-screen-xl px-4 pb-8 mx-auto lg:gap-8 xl:gap-0 lg:grid-cols-12">
      <div className="mr-auto place-self-center lg:col-span-7">
          <h1 className="max-w-2xl mb-4 text-4xl leading-none md:text-5xl xl:text-6xl block">
              Welcome to <a href="https://platformos.com" target="_blank" className="text-interactive-text hover:underline">PlatformOS</a> DocsKit!
          </h1>

          <p className="max-w-2xl mb-6 font-light text-gray-500 lg:mb-8 md:text-lg lg:text-xl dark:text-gray-400">
            DocsKit is a lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam arcu felis, rhoncus a consequat vitae, vulputate sit amet elit. Sed lobortis luctus eros, ac varius arcu tincidunt sit amet..
          </p>
      </div>
      <div className="hidden lg:mt-0 lg:col-span-5 lg:flex">
          <StaticImage src='../images/docskit.png' alt="PlatformOS DocsKit" objectFit='contain' loading='eager' placeholder='#fff' className="w-full h-auto" />
      </div>
  </div>
);

export default Hero;
