import React from 'react';
import Layout from '@components/layout';
import Seo from '@components/seo';
import ThemeProvider from '../theme/theme-provider';

const NotFoundPage = ({ location }) => (
  <Layout location={location} sidebar={false}>
    <h1 className="text-colorful font-bold text-2xl">NOT FOUND</h1>
    <p className="py-6">This page doesn't exist.</p>
    <p>
      <a href="/" className="text-interactive-text underline">Go back to the homepage</a>
    </p>
  </Layout>
);

export const Head = () => {
  return (
    <>
      <Seo title="404 Not found" description="" />
      <meta name="robots" content="noindex" />
      <ThemeProvider />
    </>
  );
};

export default NotFoundPage;
