import React from 'react';
import themeColors from './colors';
import themeBorders from './borders';
import themeFonts from './fonts';

const ThemeProvider = () => {
  const colors = themeColors || {};
  const borders = themeBorders || {};
  const fonts = themeFonts || {};

  const css = `
  :root {
    ${Object.keys(colors).map((color) => `--${color}: ${colors[color]};`).join('')}
    ${Object.keys(borders).map((border) => `--${border}: ${borders[border]};`).join('')}
    ${Object.keys(fonts).map((font) => `--${font}: ${fonts[font]};`).join('')}
  }
  `;

  return (<style>{css}</style>);
};

export default ThemeProvider;
